package main

import fmt "fmt"

func who() (func(string) string) {
	var noun string
	return func(name string) string {
		noun += name
		return noun
	}
}


func sayHello (ch1 chan string){
	var f = who()
	ch1<-"Hello " + f("Brent & Leon\n")
}

func main() {
	ch1 := make(chan string)
	go sayHello(ch1)	
	fmt.Printf(<-ch1)
}
